
From: Andrew Morton <akpm@osdl.org>

 LD      .tmp_vmlinux1
 drivers/built-in.o: In function `i2o_cfg_parms':
 config-osm.c:(.text+0x12764a): undefined reference to `i2o_parm_issue'

Cc: Markus Lidel <Markus.Lidel@shadowconnect.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/i2o/core.h       |    3 +++
 drivers/message/i2o/device.c     |    2 +-
 drivers/message/i2o/i2o_config.c |    4 ++--
 3 files changed, 6 insertions(+), 3 deletions(-)

diff -puN drivers/message/i2o/core.h~i2o-build-fix drivers/message/i2o/core.h
--- 25/drivers/message/i2o/core.h~i2o-build-fix	2005-05-31 22:56:43.000000000 -0700
+++ 25-akpm/drivers/message/i2o/core.h	2005-05-31 22:56:43.000000000 -0700
@@ -46,6 +46,9 @@ extern void i2o_iop_free(struct i2o_cont
 extern int i2o_iop_add(struct i2o_controller *);
 extern void i2o_iop_remove(struct i2o_controller *);
 
+/* config */
+extern int i2o_parm_issue(struct i2o_device *, int, void *, int, void *, int);
+
 /* control registers relative to c->base */
 #define I2O_IRQ_STATUS	0x30
 #define I2O_IRQ_MASK	0x34
diff -puN drivers/message/i2o/i2o_config.c~i2o-build-fix drivers/message/i2o/i2o_config.c
--- 25/drivers/message/i2o/i2o_config.c~i2o-build-fix	2005-05-31 22:56:43.000000000 -0700
+++ 25-akpm/drivers/message/i2o/i2o_config.c	2005-05-31 22:57:08.000000000 -0700
@@ -36,9 +36,9 @@
 
 #include <asm/uaccess.h>
 
-#define SG_TABLESIZE		30
+#include "core.h"
 
-extern int i2o_parm_issue(struct i2o_device *, int, void *, int, void *, int);
+#define SG_TABLESIZE		30
 
 static int i2o_cfg_ioctl(struct inode *inode, struct file *fp, unsigned int cmd,
 			 unsigned long arg);
diff -puN drivers/message/i2o/device.c~i2o-build-fix drivers/message/i2o/device.c
--- 25/drivers/message/i2o/device.c~i2o-build-fix	2005-05-31 22:56:43.000000000 -0700
+++ 25-akpm/drivers/message/i2o/device.c	2005-05-31 22:56:43.000000000 -0700
@@ -443,7 +443,7 @@ static struct class_interface i2o_device
  *	Note that the minimum sized reslist is 8 bytes and contains
  *	ResultCount, ErrorInfoSize, BlockStatus and BlockSize.
  */
-static int i2o_parm_issue(struct i2o_device *i2o_dev, int cmd, void *oplist,
+int i2o_parm_issue(struct i2o_device *i2o_dev, int cmd, void *oplist,
 			  int oplen, void *reslist, int reslen)
 {
 	struct i2o_message __iomem *msg;
_
